import java.awt.GraphicsConfiguration;
import java.awt.Rectangle;
import java.awt.event.*;
import javax.swing.JFrame;

/**
 * This example demonstrates the centering of a Frame on the host monitor.
 * @author C. D'Arcy. 2009 06 28
 */
public class Centered extends JFrame {
  int width = 500;
  int height = 300;
	
  public Centered() {
    super("AWT: Centering a Frame on the Host Monitor");
    addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e) {
        System.exit(0);
      }
    });
    
    setSize(width, height);
    // Obtain details about host monitor...
    GraphicsConfiguration gc = getGraphicsConfiguration();
    Rectangle rect = gc.getBounds();

    // correctly offset the top left corner to center the Frame
    setLocation((rect.width - width) / 2, (rect.height - height) / 2);
    setVisible(true);
		
  }
	
  public static void main(String[] args) {
    new Centered();
		
  }
}
